[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-designer

[DESCRIPTIONS]
TESTSUITE man-designer	Moblin
		DISPLAYNAME = LSB Manual Designer Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Designer - a powerful GUI layout and forms builder.
TESTSUITE END

[MANUAL]
TESTSUITE man-designer Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-designer</b> should show up in the Development and/or GUIDesigner categories, if present.
<b>Note:</b> Due to a subtle bug in Qt, it is possible that designer could crash shortly after opening when run in the native X environment. If you should experience this behavior, try the following workaround:<ul><li>Open a terminal application in the X environment (xterm, rxvt, konsole, gnome-terminal).</li><li>Unset the SESSION_MANAGER environment variable with the command unset SESSION_MANAGER.</li><li>Proceed with the test, running designer as outlined in step 1 from this terminal session.</li></ul><br />- Was the installation successful?

STEP Run the command: <tt>/opt/lsb/appbat/bin/designer</tt>.<br />- Expected result: The designer windows come up. (6 windows, with the "New Form" window active)

STEP Choose the widget template, click "Create".<br />- Expected result: An empty window, "untitled" appears.

STEP Add 5 labels, 2 Line-edits.<br />Rename Line-edits to operand0 and operand1 and the right-most label to addition.<br />Set operand0 and operand1 text to 0.<br />Change the rest of the widgets to look like the following figure:<br /><br /><img src="images/app_battery/3.2-qt4-fvt-figure.png" alt="Form" /><br /><br />- Expected result: Form looks like the figure.

STEP Save the form as example.ui.<br />- Expected result: File example.ui created in current directory.

STEP Press CTRL-Q on the keyboard.<br />- Expected result: Designer will be closed.<br /><br /><font size="+1"><b>The remaining steps are optional, as they require an LSB development environment to be installed (lsb-build-base, lsb-build-cc, lsb-build-c++, lsb-build-desktop, lsb-build-qt4)</b></font>

STEP OPTIONAL Create a directory designer-fvt: <tt>mkdir /tmp/designer-fvt</tt><br />Move example.ui to the created directory: <tt>mv example.ui /tmp/designer-fvt</tt><br />Change to the created directory: <tt>cd /tmp/designer-fvt</tt><br />Copy the source files to build the application to the created directory: <tt>cp /opt/lsb/appbat/share/designer/example/* .</tt><br />- Expected result: Files main.cpp, exampledialog.cpp and exampledialog.h are copied into the directory.

STEP OPTIONAL Run the command: <tt>/opt/lsb/bin/qmake -project</tt><br />- Expected result: designer-fvt.pro is created.

STEP OPTIONAL Run the command: <tt>/opt/lsb/bin/qmake</tt><br />- Expected result: Makefile is created.

STEP OPTIONAL Run the command: <tt>make</tt><br />- Expected result: designer-fvt executable is created.

STEP OPTIONAL Run the command: <tt>./designer-fvt</tt><br />- Expected result: designer-fvt application runs, and should look like the designed example.ui.

[MODULES]
TESTSUITE man-designer	Moblin
 module Manual_test.pm

[COMPOSITION]
#TESTSUITE man-designer	*	Moblin 2.0	x86	cert
#	lsb-setup	*	<base>
#	lsb-designer	*	<appbat-4.0>

TESTSUITE man-designer	*	Moblin 2.0	x86	cert
	lsb-setup	*	<moblin-beta>/lsb
	lsb-designer	*	<moblin-beta>/lsb

